<template>
  <div id="Fitur" class="feature">
    <div class="feature__container">
      <el-row>
        <el-row>
          <h1>Ada Apa Saja di Sapawarga?</h1>
        </el-row>
        <el-row>
          <p>Aplikasi Sapawarga menyediakan ragam fitur untuk warga mendapatkan informasi dan layanan dengan cepat dan mudah</p>
        </el-row>

        <el-row :gutter="30">
          <el-col v-for="(feature, index) in features" :key="index" :sm="24" :md="12" :lg="8">
            <jds-card
              :class="feature.background"
              :image="null"
              :action-icon="null"
            >
              <div class="title text-white">{{ feature.title }}</div>
              <div class="subtitle text-white">{{ feature.subtitle }}</div>
              <el-row v-for="(obj, idx) in Object.values(feature.content)" :key="idx" type="flex" class="row-bg feature-content">
                <el-image :src="obj.icon" :alt="obj.text" />
                <span>{{ obj.text }}</span>
              </el-row>
            </jds-card>
          </el-col>
        </el-row>

      </el-row>
    </div>
  </div>
</template>

<script>
import { features } from './features.js'
export default {
  name: 'Feature',
  data() {
    return {
      features
    }
  }
}
</script>

<style lang="scss" scoped>
.feature {
  background: rgba(45, 118, 249, 0.05);
  background-image: url('~@/assets/landing-page/feature-background.png');
  background-repeat: no-repeat;
  background-size: 100% 75%;

  &__container {
    height: 100%;
    padding: 100px 120px 50px 120px;
  }
}

span {
  font-size: 14px;
  color: #FFF;
  display: flex;
  align-items: center;
  padding-left: 10px;
}

h1 {
  color: #FFF;
  font-size: 49px;
  margin-bottom: 0;
}

p {
  color: #FFF;
  line-height: 1.5em;
  font-size: 18px;
  max-width: 700px;
  padding: 0;
}

.feature-content {
  margin: 10px 0;
}

.jds-card {
  min-height: 260px;
  margin-bottom: 10px;
}

.title {
  margin: 10px 0;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 16px;
  line-height: 26px;
  word-break: break-word;
}

.subtitle {
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 26px;
  word-break: break-word;
}

@media screen and (max-width: 600px) {
  .feature__container {
    padding: 30px 30px;
  }

  h1 {
    font-size: 24px;
    text-align: center;
  }

  p {
    font-size: 16px;
    text-align: center;
  }
}
</style>
